Get Release Group Dependency Root Projects
https://app.fossa.com/api/v2/release-groups/{projectGroupId}/releases/{projectGroupReleaseId}/root-projectsGet the root projects present in the dependencies of a given release group
Path parameters
projectGroupIdintegerrequiredprojectGroupReleaseIdintegerrequiredThe ID of the release
Responses
200OKrootProjectsobject[]titlestringrevisionstringbranchstringconclusionsobjectscopedobjectlicensesstring[]lastEditedBystringupdatedAtstringscopeenumThe scope of the conclusion shown, or null when it is FOSSA's own conclusion
globalorganizationprojectrevisionrelease_groupreleasehasOrganizationConclusionbooleanWhether the organization has its own conclusion for this dependency revision, even when a project or release group conclusion outranks it here
baseobjectlicensesstring[]justificationstring401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/v2/release-groups/1/releases/1/root-projectscurl --request GET \ --url 'https://app.fossa.com/api/v2/release-groups/1/releases/1/root-projects' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
projectGroupIdintegerrequiredprojectGroupReleaseIdintegerrequiredThe ID of the release